﻿@{
    Layout = "~/Views/Shared/Layout/_Layout.cshtml";
    ViewData["PageName"] = ViewData["PageName"];
    ViewData["PageParentName"] = ViewData["PageParentName"];
    
}


<div class="row clearfix">
    <div class="col-lg-4 col-md-12">
        <div class="scrolltab">
            <div class="card profile-header">
                <div class="body">
                    <input id="Empid" hidden />
                    <div class="profile-image">
                        <input type="file" name="n_service_img" id="id_service_image" class="rounded-circle" />
                    </div>
                    <div>
                        <h4 class="m-b-0"><strong id="_Info_Name"></strong></h4>
                        <span class="_"> </span>
                    </div>
                    <div class="m-t-15">
                        <button class="ladda-button btn btn-primary" data-style="expand-right" id="btn-updateavartar" onclick="UpdateAvartar()" type="button"> Cập nhật Avartar </button>
                    </div>
                </div>
            </div>
            <div class="card">
                <div class="header">
                    <h2>Thông tin liên hệ  </h2>
                </div>
                <div class="body">
                    <small class="text-muted">Address: </small>
                    <p id="_Info_Address"></p>
                    <div id="_Info_GoogleMap"></div>
                    <hr>
                    <small class="text-muted">Email address: </small>
                    <p id="_Info_Email"></p>
                    <hr>
                    <small class="text-muted">Mobile: </small>
                    <p id="_Info_Phone"></p>
                    <hr>
                    <small class="text-muted">Birth Date: </small>
                    <p class="m-b-0" id="_Info_BirthDate"> </p>
                    <hr>
                    <small class="text-muted">Social: </small>
                    <div id="_Info_Socials">  </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-6 col-md-12">
        <div class="card">
            <div class="body">
                <ul class="nav nav-tabs-new">
                    <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#EditPassword"> Mật khẩu</a></li>
                    <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#Information" onclick="reload_info()"> Thông tin cá nhân </a></li>
                    <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#Specialism" onclick="reload_specialism()"> Chuyên ngành </a></li>
                    <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#Educations" onclick="reload_edu()"> Học vấn  </a></li>
                    <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#Skill" onclick="reload_skill()"> Kĩ năng </a></li>
                    <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#Experiences" onclick="reload_exp()"> Kinh nghiệm</a></li>
                    <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#Socials" onclick="reload_social()">Mạng xã hội</a></li>
                </ul>
            </div>
        </div>
        <div class="tab-content padding-0 ">
            <div class="tab-pane animated fadeIn active" id="EditPassword">
                <div class="scrolltab2">
                    <div class="card">
                        <div class="body">
                            <h6>Đổi mật khẩu</h6>
                            <hr />
                            <div class="row clearfix">
                                <div class="col-lg-12 col-md-12">
                                    <div class="form-group">
                                        <input type="password" class="form-control" value="" id="AccountData_Password" placeholder="Nhập mật khẩu hiện tại">
                                    </div>
                                    <div class="form-group">
                                        <input type="password" class="form-control" value="" id="AccountData_NewPassword" placeholder="Nhập mật khẩu mới">
                                    </div>
                                    <div class="form-group">
                                        <input type="password" class="form-control" value="" id="AccountData_ConfirmPassword" placeholder="Nhập lại mật khẩu mới">
                                    </div>
                                </div>
                            </div>
                            <button class="ladda-button btn btn-primary" data-style="expand-right" id="btn-add" onclick="UpdatePassword()" type="button"> Cập nhật </button> &nbsp;&nbsp;

                        </div>
                    </div>
                </div>
            </div>
            <div class="tab-pane animated fadeIn" id="Information">
                <div class="scrolltab2">
                    @await Html.PartialAsync("_update_basic_info")
                </div>
            </div>
            <div class="tab-pane animated fadeIn " id="Specialism">
                <div class="scrolltab2">
                    @await Html.PartialAsync("_update_specialism")
                </div>
            </div>
            <div class="tab-pane animated fadeIn " id="Educations">
                <div class="scrolltab2"> 
                    @await Html.PartialAsync("_update_education")
                </div>
            </div>
            <div class="tab-pane animated fadeIn " id="Skill">
                <div class="scrolltab2">
                    @await Html.PartialAsync("_update_skill")    
                </div>
            </div>
            <div class="tab-pane animated fadeIn " id="Experiences">
                <div class="scrolltab2">
                    @await Html.PartialAsync("_update_experience")
                </div>
            </div>
            <div class="tab-pane animated fadeIn " id="Socials">
                <div class="scrolltab2">
                    @await Html.PartialAsync("_update_social")
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-2 col-md-12">
        <div class="row clearfix text-center">
            <div class="col-12">
                <div class="card">
                    <div class="body">
                        <input type="text" class="knob" value="22" data-width="70" data-height="70" data-thickness="0.1" data-fgColor="#01b2c6">
                        <h6>KPI</h6>
                        <span>12 of this month</span>
                    </div>
                </div>
            </div>
            <div class="col-12">
                <div class="card">
                    <div class="body">
                        <input type="text" class="knob" value="78" data-width="70" data-height="70" data-thickness="0.1" data-fgColor="#2196f3">
                        <h6>Dự án</h6>
                        <span>4 of this month</span>
                    </div>
                </div>
            </div>
            <div class="col-12">
                <div class="card">
                    <div class="body">
                        <input type="text" class="knob" value="100" data-width="70" data-height="70" data-thickness="0.1" data-fgColor="#f44336">
                        <h6>Đơn phép còn</h6>
                        <span>12/12</span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


@section css {
    <link rel="stylesheet" href="~/admin/css/ladda.min.css" />
    <link rel="stylesheet" href="~/lib/assets/css/blog.css">
    <link rel="stylesheet" href="~/lib/assets/css/color_skins.css">
    <link rel="stylesheet" href="~/lib/vendor/dropify/css/dropify.min.css">

    <!-- Layout kendo -->
    <link href="~/lib/kendo/library/kendo.common-material.min.css" rel="stylesheet" />
    <link href="~/lib/kendo/library/kendo.rtl.min.css" rel="stylesheet" />
    <link href="~/lib/kendo/library/kendo.material.min.css" rel="stylesheet" />
    <link href="~/lib/kendo/library/kendo.material.mobile.min.css" rel="stylesheet" />
    <!-- custom css -->
    <link href="~/css/manager/custom-kendo.css" rel="stylesheet" />
    <link href="~/css/account/profile.css" rel="stylesheet" />    <!-- custom css -->

    <link rel="stylesheet" href="~/lib/vendor/sweetalert/sweetalert.css">
    <style>
        .col-template-val {
            margin: 0 0 1em .5em;
        }
    </style>
}

@section Scripts {
    <!-- Page javascript -->
    <script src="~/admin/js/nestable.js"></script>
    <script src="~/admin/js/ladda.min.js"></script>
    <!-- Assets js -->
    <!-- Function js -->
    <script src="~/lib/vendor/sweetalert/sweetalert.min.js"></script>
    <script src="~/lib/assets/js/pages/ui/dialogs.js"></script>
    <script src="~/lib/assets/bundles/knob.bundle.js"></script> <!-- Jquery Knob-->
    <script src="~/lib/assets/js/pages/forms/dropify.js"></script>

    <script src="~/lib/kendo/library/kendo.all.min.js"></script>
    <script src="~/js/manager/kendocontroller.js"></script>
    <script src="~/lib/vendor/dropify/js/dropify.min.js"></script>

    <script src="~/js/manager/base.js"></script>
    <script src="~/js/profile.min.js"></script>


    <script>
        $(function () {
            $('.knob').knob({
                draw: function () {
                    // "tron" case
                    if (this.$.data('skin') == 'tron') {

                        var a = this.angle(this.cv)  // Angle
                            , sa = this.startAngle          // Previous start angle
                            , sat = this.startAngle         // Start angle
                            , ea                            // Previous end angle
                            , eat = sat + a                 // End angle
                            , r = true;

                        this.g.lineWidth = this.lineWidth;

                        this.o.cursor
                            && (sat = eat - 0.3)
                            && (eat = eat + 0.3);

                        if (this.o.displayPrevious) {
                            ea = this.startAngle + this.angle(this.value);
                            this.o.cursor
                                && (sa = ea - 0.3)
                                && (ea = ea + 0.3);
                            this.g.beginPath();
                            this.g.strokeStyle = this.previousColor;
                            this.g.arc(this.xy, this.xy, this.radius - this.lineWidth, sa, ea, false);
                            this.g.stroke();
                        }

                        this.g.beginPath();
                        this.g.strokeStyle = r ? this.o.fgColor : this.fgColor;
                        this.g.arc(this.xy, this.xy, this.radius - this.lineWidth, sat, eat, false);
                        this.g.stroke();

                        this.g.lineWidth = 2;
                        this.g.beginPath();
                        this.g.strokeStyle = this.o.fgColor;
                        this.g.arc(this.xy, this.xy, this.radius - this.lineWidth + 1 + this.lineWidth * 2 / 3, 0, 2 * Math.PI, false);
                        this.g.stroke();

                        return false;
                    }
                }
            });
        });
        $(function () {
            $('#main-content').addClass('profilepage_2 blog-page');
        });
    </script>
}

